import React, { useState, useEffect } from 'react';
import { csv } from 'd3';


const csvUrl = 'https://gist.githubusercontent.com/rachelhahn/b15aaba5d3a19628074bf4066a05f209/raw/nuclearExplosions.csv';

export const useDataNuclear = () => {
  const [data, setData] = useState(null);
  console.log("Nuclear Data: ", data);

  useEffect(() => {
    const row = d => {
      d.longitude = +d.longitude;
      d.latitude = +d.latitude;
      d.name = d.name;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  

  return data;
};